org.apache.http.client.fluent

## Class ContentResponseHandler

- java.lang.Object
- - org.apache.http.impl.client.AbstractResponseHandler<Content>
  - - org.apache.http.client.fluent.ContentResponseHandler

All Implemented Interfaces:
  ResponseHandler<Content>

    public class ContentResponseHandler
    extends AbstractResponseHandler<Content>

`ResponseHandler` implementation that converts `HttpResponse` messages to `Content` instances.

Since:
  4.4
See Also:
  `Content`

### Constructor Summary

Constructors
Constructor and Description
`ContentResponseHandler()`

### Method Summary

Methods
`Content` `handleEntity(org.apache.http.HttpEntity entity)` Handle the response entity and transform it into the actual response object.

### Methods inherited from class org.apache.http.impl.client.AbstractResponseHandler

`handleResponse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContentResponseHandler

    public ContentResponseHandler()

### Method Detail

#### handleEntity

    public Content handleEntity(org.apache.http.HttpEntity entity)
                         throws IOException

Description copied from class: `AbstractResponseHandler`
Handle the response entity and transform it into the actual response object.

Specified by:
  `handleEntity` in class `AbstractResponseHandler<Content>`
Throws:
  `IOException`